Publish policy
Roles
Analytics Events
/v1/ecosystems/{ecosystemId}/policiesPublish a new version of the ecosystem policy. Only active and currently valid participants and IACA certificates are included in the policy.
Analytic events
- ECOSYSTEM_POLICY_CREATE_START
- ECOSYSTEM_POLICY_CREATE_SUCCESS
- ECOSYSTEM_POLICY_CREATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
The UUID of the ecosystem
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/policies"{
"id": "782f1885-c7c2-4459-8426-b6d7c111b0b1",
"policyPublishedAt": "2024-10-22T00:00:00Z"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete PDF evidence DELETE
Delete metadata for a given uploaded PDF evidence and remove it from storage. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_EVIDENCE_DELETE_START * ECOSYSTEM_PARTICIPANT_EVIDENCE_DELETE_SUCCESS * ECOSYSTEM_PARTICIPANT_EVIDENCE_DELETE_FAIL
Retrieve latest ecosystem policy GET
Retrieves the latest ecosystem policy by providing the ecosystem ID. This endpoint is intended for public consumption, and as such does not require authentication. ### **Analytic events** * ECOSYSTEM_POLICY_RETRIEVE_LATEST_START * ECOSYSTEM_POLICY_RETRIEVE_LATEST_SUCCESS * ECOSYSTEM_POLICY_RETRIEVE_LATEST_FAIL